package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TFFlow;
import com.qmth.teachcloud.common.entity.SysRole;

import java.util.Map;

/**
 * <p>
 * 流程表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowService extends IService<TFFlow> {

    /**
     * 流程列表
     *
     * @param iPage
     * @param name
     * @param schoolId
     * @param orgId
     * @return
     */
    IPage<TFFlow> list(IPage<Map> iPage, String name, Long schoolId, Long orgId);
}
